local associations = {
    --difficulty names:
    menu_difficulty_normal =        "2 Easy",
    menu_difficulty_hard =          "3 Medium",
    menu_difficulty_very_hard =     "4 Challenging",
    menu_difficulty_overkill =      "5 Hard",
    menu_difficulty_easy_wish =     "6 Extreme",
    menu_difficulty_apocalypse =    "7 Suicide Mission",
    menu_difficulty_sm_wish =       "8 Impossible",
    menu_one_down =                 "9 Helldive",
    --descriptors:
    menu_toggle_one_down =          "Managed Democracy",
    menu_risk_pd =                  "The enemy may anticipate but on outcome. Total annihilation",
    menu_risk_swat =                "The people of Super Earth look to us for hope and we will deliver it one enemy corpse at a time",
    menu_risk_fbi =                 "Every star is a distress beacon, crying out for liberation",
    menu_risk_special =             "The freedom of the galaxy remains in jeopardy, let us join the fight",
    menu_risk_easy_wish =           "Remain ever vigilant for deceit and treachery, they can take root in the smallest of cracks",
    menu_risk_elite =               "There is but one assured path to peace, and that path is war",
    menu_risk_sm_wish =             "Ours are the hand that will tear assunder the binds of tyranny"                             
}

local text_original = LocalizationManager.text
local testAllStrings = false

function LocalizationManager:text(string_id, ...)
    return associations[
        string_id--string_id:strsub(6)--payday wont let me use the Lua string library idk why
    ] or text_original(self, string_id, ...)
end

--Based on the Asian Difficulty Mod by iTzSanDPyLe! on modworkshop, I just made it slightly easier to customise difficulty names/descriptions to whatever you want.
--If you do intend to make your custom difficulty name and upload it to public, please link the original mod that you've edit 